<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<html>
<body>
<h1><font>N:<xsl:value-of select="root/@yyyymm" /></font></h1>
<table border="1">
<tr>
<th width="50">t</th>
<th width="50">j</th>
<th width="500">XPW[</th>
</tr>
<xsl:for-each select="root/date">
	<tr>
	<xsl:choose>
		<xsl:when test="@weekPoint[. = 0]">
			<td>
				<font color="#ff0000"><xsl:value-of select="@value" /></font>
			</td>
			<td>
				<font color="#ff0000">ij<br /></font>
			</td>
		</xsl:when>
		<xsl:when test="@weekPoint[. = 1]">
			<td>
				<xsl:value-of select="@value" />
			</td>
			<td>
				ij<br />
			</td>
		</xsl:when>
		<xsl:when test="@weekPoint[. = 2]">
			<td>
				<xsl:value-of select="@value" />
			</td>
			<td>
				i΁j<br />
			</td>
		</xsl:when>
		<xsl:when test="@weekPoint[. = 3]">
			<td>
				<xsl:value-of select="@value" />
			</td>
			<td>
				ij<br />
			</td>
		</xsl:when>
		<xsl:when test="@weekPoint[. = 4]">
			<td>
				<xsl:value-of select="@value" />
			</td>
			<td>
				i؁j<br />
			</td>
		</xsl:when>
		<xsl:when test="@weekPoint[. = 5]">
			<td>
				<xsl:value-of select="@value" />
			</td>
			<td>
				ij<br />
			</td>
		</xsl:when>
		<xsl:when test="@weekPoint[. = 6]">
			<td>
				<font color="#0000ff"><xsl:value-of select="@value" /></font>
			</td>
			<td>
				<font color="#0000ff">iyj<br /></font>
			</td>
		</xsl:when>
		<xsl:otherwise>
			<td>
				<xsl:value-of select="@value" />
			</td>
			<td>
				i<xsl:value-of select="@weekPoint" />j<br />
			</td>
		</xsl:otherwise>
	</xsl:choose>
	<td>
	<xsl:for-each select="./timeSchedule">
		<xsl:value-of select="@start" />`<xsl:value-of select="@end" />
		[<xsl:value-of select="@attribute" />]
		<xsl:value-of select="." /><br />
	</xsl:for-each>
	<b>
 	<xsl:call-template name="replaceBR">
 		<xsl:with-param name="para1">
			<xsl:value-of select="./Message"/>
		</xsl:with-param>
 	</xsl:call-template>
	</b>
	<font color="#ffffff">.</font>
</td>
</tr>
</xsl:for-each>
</table>
</body>
</html>
</xsl:template>

<xsl:template name="replaceBR">
	<xsl:param name="para1"/>
	<xsl:choose >
		<xsl:when test="contains($para1,'&#x0A;')">
			<xsl:value-of select="substring-before($para1,'&#x0A;')"/><br/>
			<xsl:call-template name="replaceBR">
				<xsl:with-param name="para1">
					<xsl:value-of select="substring-after($para1,'&#x0A;')"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise >
			<xsl:value-of select="$para1"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>
